Skip to content

InPost Global

InPost is Europe's leading out-of-home e-commerce logistics platform. It pioneered 24/7 Automated Parcel Machines (APMs) and provides courier, delivery, and fulfillment services. This guide provides developers with the details needed to build InPost Global shipping capabilities into your ShipStation API workflows.

InPost Global is available for shipments within the United Kingdom (GB) and between the United Kingdom and the Isle of Man (IM). Other international lanes are not available yet.

Requirements

To connect an InPost Global account, you need credentials from InPost. InPost issues separate credentials for each client contract, so contact your InPost account manager if you don't have them.

PropertyTypeRequired?Description
nicknamestringrequiredA nickname for you to identify the carrier account in ShipStation API.
org_idstringrequiredYour organisation ID, provided by InPost.
client_idstringrequiredYour InPost client ID.
client_secretstringrequiredYour InPost client secret.

Connect Account

You can connect an InPost Global account using the POST method to the /v1/connections/carriers/ endpoint.

carrier_name: inpost_global

POST /v1/connections/carriers/inpost_global

POST /v1/connections/carriers/inpost_global HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "nickname": "my inpost global account",
  "org_id": "your_org_id_here",
  "client_id": "your_client_id_here",
  "client_secret": "your_client_secret_here"
}

A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.

Rates

InPost Global does not support rate shopping.

Service Details

Available InPost Global services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.

Service Levels

Service levelDelivery time
ExpressNext day (D+1)
Standard2 days (D+2)
  • Only Standard services are available for shipments to Northern Ireland.
  • Saturday delivery is not supported in the UK.

Delivery Types

The delivery type in a service name describes where the parcel is delivered or dropped off.

Delivery typeDescription
APMDelivery to an InPost parcel locker (Automated Parcel Machine).
PUDODelivery to a partner pick-up and drop-off shop.
ANY POINTAny drop-off or collection point in the InPost network, locker or shop. This is the standard type for drop-off parcels.
NON-PUDODoor-to-door delivery or collection at a home address, without using lockers or shops.

HUB services can appear in the list carrier services response, but they are not serviced in GB.

InPost allocates the exact underlying service based on the weight, dimensions, origin, and destination you send.

Domestic Services

Domestic services are available for shipments from GB.

ServiceAPI Code
Standard APMinpost_global_standard_apm
Standard PUDOinpost_global_standard_pudo
Standard ANY POINTinpost_global_standard_any_point
Standard NON-PUDOinpost_global_standard_non_pudo
Express APMinpost_global_express_apm
Express PUDOinpost_global_express_pudo
Express ANY POINTinpost_global_express_any_point
Express NON-PUDOinpost_global_express_non_pudo

International Services

International services are available between GB and IM.

ServiceAPI CodeShip-from countries
Standard APM Internationalinpost_global_standard_apm_internationalGB, IM
Standard PUDO Internationalinpost_global_standard_pudo_internationalGB, IM
Standard ANY POINT Internationalinpost_global_standard_any_point_internationalGB, IM
Standard NON-PUDO Internationalinpost_global_standard_non_pudo_internationalGB
Express APM Internationalinpost_global_express_apm_internationalGB, IM
Express PUDO Internationalinpost_global_express_pudo_internationalGB, IM
Express ANY POINT Internationalinpost_global_express_any_point_internationalGB, IM
Express NON-PUDO Internationalinpost_global_express_non_pudo_internationalGB, IM

Not all services listed are available to every InPost Global account. We recommend you check with InPost so you know which services are available to your account, or use the list carrier services call.

Return Services

InPost Global supports return labels with these services:

ServiceAPI CodeShip-from countries
Returninpost_global_returnGB
Return Internationalinpost_global_return_internationalGB, IM

Return delivery times are D+3 for business-to-consumer returns and D+5 for small-business returns.

Packages

The following carrier package types are available for InPost Global services:

NameAPI CodePackage Attributes
Extra Smallinpost_global_extra_smallDomestic, International
Smallinpost_global_smallDomestic, International
Mediuminpost_global_mediumDomestic, International
Largeinpost_global_largeDomestic, International

Parcel Size and Weight Limits

For delivery to lockers (APM) and shops (PUDO):

PackageMaximum dimensions (cm)
Extra Small4 x 23 x 40
Small8 x 38 x 64
Medium19 x 38 x 64
Large41 x 38 x 64
  • Maximum weight: 15 kg
  • Maximum length: 640 mm
  • Maximum volume: 0.099 m³

For door-to-door delivery (NON-PUDO):

  • Maximum dimensions: 120 cm
  • Maximum length: 1200 mm
  • Maximum weight: 30 kg
  • Maximum volume: 0.16 m³

Customs

For international shipments, ShipStation API sends customs information to InPost with the shipment:

  • The Incoterm is set to DDU (Delivered Duty Unpaid).
  • The export reason is set to sales.
  • The total declared value is the sum of each product's value multiplied by its quantity.
  • The shipping cost amount and currency are included.
  • If you provide an invoice date, you must also provide an invoice number.

Shipments to Northern Ireland are identified automatically by postcode. Postcodes that start with BT are sent as Northern Ireland.

Label Support

Voiding Labels

You can void a label with ShipStation API. InPost does not have a method for cancelling a shipment, so voiding a label does not cancel it on the InPost side.

Service Points (PUDO)

All InPost Global services support shipping to service points.

Tracking

ShipStation API's integration with InPost Global supports receiving tracking updates. Review our Track a Package guides for details on tracking with ShipStation API.

Disconnecting Your InPost Global Account

DELETE /v1/connections/carriers/inpost_global/:id

DELETE /v1/connections/carriers/inpost_global/se-1234 HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__

See our Delete a Carrier page for more details about disconnecting a carrier from ShipStation API.

NOTE:

If you disconnect a carrier account and reconnect it, the account will have a new carrier_id in ShipStation API.